var _excluded = ["locale"];
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }
function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }
import React from "react";
import { ConfigProvider as OriginalConfigProvider } from "antd";
// 由于 antd 组件的默认文案是英文，所以需要修改为中文
import dayjs from "dayjs";
import "dayjs/locale/zh-cn";
import zhCN from "antd/locale/zh_CN";
var ConfigProvider = function ConfigProvider(props) {
  var locale = props.locale,
    rest = _objectWithoutProperties(props, _excluded);
  var localeData = locale;
  if (typeof locale === "string") {
    if (locale.toLowerCase() === "zh-cn") {
      dayjs.locale("zh-cn");
      localeData = zhCN;
    } else if (locale.toLowerCase() === "en-us") {
      dayjs.locale("en");
      // 默认为英文
      localeData = undefined;
    }
  }
  return /*#__PURE__*/React.createElement(OriginalConfigProvider, _extends({
    locale: localeData
  }, rest));
};
export default ConfigProvider;